Summary:	Scripts for managing and administering MySQL servers
Name:		mysql-utilities
Version:	1.5.6
Release:	1
License:	GPL v2
Group:		Applications/Databases
Source0:	http://cdn.mysql.com/Downloads/MySQLGUITools/%{name}-%{version}.zip
# Source0-md5:	bb2eb4d3b5e332bae4d36f026f03e059
Patch1:		paths.patch
URL:		http://dev.mysql.com/downloads/utilities/
BuildRequires:	python-Sphinx >= 1.0
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	sed >= 4.0
Requires:	python-mysql-connector >= 1.0.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MySQL Utilities provides a collection of command-line utilities that
are used for maintaining and administering MySQL servers, including:

- Admin Utilities (Clone, Copy, Compare, Diff, Export, Import)
- Replication Utilities (Setup, Configuration)
- General Utilities (Disk Usage, Redundant Indexes, Search Meta Data)

%prep
%setup -q
v=$(head -n1 CHANGES.txt | awk -F'-' '{print $2}')
v=${v%qa1}
test "$v" = "%{version}"

%patch1 -p1

# you'll need this if you cp -a complete dir in source
# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%build
%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install_man install \
	--skip-profile \
	--root $RPM_BUILD_ROOT

# packaged by python-mysql-connector
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/mysql/__init__.py*
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/mysql/connector

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mysql/fabric.cfg
%attr(755,root,root) %{_bindir}/mysqlauditadmin
%attr(755,root,root) %{_bindir}/mysqlauditgrep
%attr(755,root,root) %{_bindir}/mysqldbcompare
%attr(755,root,root) %{_bindir}/mysqldbcopy
%attr(755,root,root) %{_bindir}/mysqldbexport
%attr(755,root,root) %{_bindir}/mysqldbimport
%attr(755,root,root) %{_bindir}/mysqldiff
%attr(755,root,root) %{_bindir}/mysqldiskusage
%attr(755,root,root) %{_bindir}/mysqlfabric
%attr(755,root,root) %{_bindir}/mysqlfailover
%attr(755,root,root) %{_bindir}/mysqlfrm
%attr(755,root,root) %{_bindir}/mysqlindexcheck
%attr(755,root,root) %{_bindir}/mysqlmetagrep
%attr(755,root,root) %{_bindir}/mysqlprocgrep
%attr(755,root,root) %{_bindir}/mysqlreplicate
%attr(755,root,root) %{_bindir}/mysqlrpladmin
%attr(755,root,root) %{_bindir}/mysqlrplcheck
%attr(755,root,root) %{_bindir}/mysqlrplms
%attr(755,root,root) %{_bindir}/mysqlrplshow
%attr(755,root,root) %{_bindir}/mysqlrplsync
%attr(755,root,root) %{_bindir}/mysqlserverclone
%attr(755,root,root) %{_bindir}/mysqlserverinfo
%attr(755,root,root) %{_bindir}/mysqluc
%attr(755,root,root) %{_bindir}/mysqluserclone
%{_mandir}/man1/mysqlauditadmin.1*
%{_mandir}/man1/mysqlauditgrep.1*
%{_mandir}/man1/mysqldbcompare.1*
%{_mandir}/man1/mysqldbcopy.1*
%{_mandir}/man1/mysqldbexport.1*
%{_mandir}/man1/mysqldbimport.1*
%{_mandir}/man1/mysqldiff.1*
%{_mandir}/man1/mysqldiskusage.1*
%{_mandir}/man1/mysqlfailover.1*
%{_mandir}/man1/mysqlindexcheck.1*
%{_mandir}/man1/mysqlmetagrep.1*
%{_mandir}/man1/mysqlprocgrep.1*
%{_mandir}/man1/mysqlreplicate.1*
%{_mandir}/man1/mysqlrpladmin.1*
%{_mandir}/man1/mysqlrplcheck.1*
%{_mandir}/man1/mysqlrplshow.1*
%{_mandir}/man1/mysqlserverclone.1*
%{_mandir}/man1/mysqlserverinfo.1*
%{_mandir}/man1/mysqluc.1*
%{_mandir}/man1/mysqluserclone.1*

%dir %{py_sitescriptdir}/mysql
%dir %{py_sitescriptdir}/mysql/utilities
%{py_sitescriptdir}/mysql/utilities/*.py[co]
%dir %{py_sitescriptdir}/mysql/utilities/command
%{py_sitescriptdir}/mysql/utilities/command/*.py[co]
%dir %{py_sitescriptdir}/mysql/utilities/common
%{py_sitescriptdir}/mysql/utilities/common/*.py[co]
%{py_sitescriptdir}/mysql/fabric
%{py_sitescriptdir}/mysql_utilities-*.egg-info
%changelog
* Sun Oct 18 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mysql-utilities.git;a=log;h=master

* Sun Oct 18 2015 Jan Rękorajski <baggins@pld-linux.org> a14ee69
- updated to 1.5.6

* Thu Aug 21 2014 Elan Ruusamäe <glen@delfi.ee> 21d6c4a
- package fabric.cfg, access restricted as may contain passwords

* Thu Aug 21 2014 Elan Ruusamäe <glen@delfi.ee> c85ce89
- up to Release 1.4.4qa1 (Released July 11, 2014)

* Thu Jun 26 2014 Elan Ruusamäe <glen@delfi.ee> e939632
- update files

* Thu Jun 26 2014 Elan Ruusamäe <glen@delfi.ee> 8c3777a
- up to 1.4.3 (Released May 12, 2014)

* Thu May 01 2014 Elan Ruusamäe <glen@delfi.ee> e982045
- requires Python 2.6 or later

* Thu May 01 2014 Elan Ruusamäe <glen@delfi.ee> 28eceed
- up to 1.3.6 (November 26, 2013)

* Thu May 02 2013 Elan Ruusamäe <glen@delfi.ee> 671ab88
- up to 1.3.1

* Tue Jan 01 2013 Elan Ruusamäe <glen@delfi.ee> eb85327
- Release 1.1.1 (Released December 14, 2012)

* Tue Jan 01 2013 Elan Ruusamäe <glen@delfi.ee> 4b764db
- add bug urls

* Thu Oct 04 2012 Elan Ruusamäe <glen@delfi.ee> ab83b9a
- fix for bug MYSQL#66863

* Thu Oct 04 2012 Elan Ruusamäe <glen@delfi.ee> 520bb05
- fixes for mysqluc not to invoke every /usr/bin/*.py with --help

* Thu Oct 04 2012 Elan Ruusamäe <glen@delfi.ee> e914d24
- fixup paths so that mysqluc could startup

* Thu Oct 04 2012 Elan Ruusamäe <glen@delfi.ee> caf95be
- cleanup mwb sources

* Thu Oct 04 2012 Elan Ruusamäe <glen@delfi.ee> d6cc404
- up to 1.1.0

* Mon May 14 2012 Elan Ruusamäe <glen@pld-linux.org> e5f1827
- typo

* Mon May 14 2012 Elan Ruusamäe <glen@pld-linux.org> c0aa523
- new, used by mysql-workbench optionally

